% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: copula.pl,v $
%%  $Revision: 1.2 $
%%      $Date: 2005/07/05 12:21:35 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.
:- discontiguous ':='/2.
:- multifile if/2.
:- discontiguous if/2.
:- multifile fun/1.
:- discontiguous fun/1.
:- multifile '*>'/2.
:- discontiguous '*>'/2.



% Diese Datei enthält Macros und Lexikoneinträge für die Kopula.



copula_verb *>
  (%non_flip_coherent_subj_raising_verb
   synsem:loc:(cat:(head:da:[],
                    subcat:hd:arg:loc:cat:head:prd:plus),
               cont:nucleus:support_rel)).


copula_verb(Per,Num,TeMo) :=
 (@irregular_verb(Per,Num,TeMo),
  dtrs:[copula_verb]).

copula_verb(VForm) :=
 (@irregular_verb(VForm),
  dtrs:[copula_verb]).



sein_copula(Per-per,Num-num,TeMo-temo) :=
  @copula_verb(Per,Num,TeMo).

sein(Per-per,Num-num,TeMo-temo) :=
  @sein_copula(Per,Num,TeMo).

sein_copula(VForm) :=
  @copula_verb(VForm).

sein(VForm) :=
  @sein_copula(VForm).
